Page MenuHomePhabricator

Disabled NumberInputWidget takes scrolling (touchpad, scrollwheel) into account when it shouldn't
Closed, ResolvedPublic

Description

Disabled NumberInputWidget on Chrome (latest: v49) takes scrolling action into account and increases/decreases value.
Doesn't affect Firefox.

Event Timeline

Volker_E created this task.Apr 12 2016, 7:02 PM

Change 283158 had a related patch set uploaded (by Prtksxna):
NumberInputWidget: Disable onWheel action when the widget is disabled

https://gerrit.wikimedia.org/r/283158

Prtksxna closed this task as Resolved.Apr 13 2016, 3:20 PM
Prtksxna removed a project: Patch-For-Review.

Change 283158 merged by jenkins-bot:
NumberInputWidget: Disable onWheel action when the widget is disabled

https://gerrit.wikimedia.org/r/283158

By the way, this was happening for me on Firefox 47.0a2 on Mac OS X 10.9.5 too.

Jdforrester-WMF moved this task from Backlog to OOjs-UI-0.16.6 on the OOUI board.Apr 19 2016, 4:30 PM
Jdforrester-WMF edited projects, added OOUI (OOjs-UI-0.16.6); removed OOUI.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 4:30 PM